<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Country extends Model 
{

    protected $table = 'countries';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];

    public function translations()
    {
        return $this->hasMany('App\Models\CountryTranslation');
    }

    public function currency()
    {
        return $this->belongsTo('Currency');
    }

}